package com.yidianling.ydlcommon.custom.player.player

/**
 * 播放状态回调
 * Created by hgw on 2018/3/31.
 */
interface PlayStatusListener{

    /**
     * 开始播放之前
     */
    fun beforeStart(index:Int)

    fun onPrepared()

    fun start()

    fun pause()

    fun loading()

    fun onProgressUpdate(progress : Int)

    fun OnErrorListener(p1: Int, p2: String)

    fun OnBufferingUpdateListener(p1: Int)

    fun onCompletionListener()
}